import type { Node, Factory } from '../index.js';
export interface ServerInit {
    port?: number;
    host?: string;
}
/**
 * Creates an instance of Server
 */
declare class Server {
    private readonly options;
    private server;
    port: number;
    host: string;
    private readonly ipfsd;
    readonly nodes: Record<string, Node>;
    constructor(options: ServerInit | undefined, factory: Factory);
    /**
     * Start the server
     */
    start(port?: number): Promise<Server>;
    /**
     * Stop the server
     */
    stop(options?: {
        timeout: number;
    }): Promise<void>;
    /**
     * Stop any nodes created by this server
     */
    clean(): Promise<void>;
}
export default Server;
//# sourceMappingURL=server.d.ts.map